Co když vám webový prohlížeč hlásí, že mu chybí plug-in QuickTime

Malý počet některých starších webových stránek k přehrávání médií pořád používá starý webový plug-in QuickTime 7. V aktuálních verzích macOS a některých webových prohlížečích už tento plug-in není povolený.

Tento článek byl archivován a Apple ho nadále neaktualizuje.

Když navštívíte webovou stránku, která potřebuje starý webový plug-in QuickTime 7, možná se v prohlížeči zobrazí zpráva, že tento plug-in chybí nebo není nainstalovaný.

  • Tento plug-in už v macOS Sierra, El Capitan, Yosemite a Mavericks není povolený. Weby pořád častěji používají webový standard HTML5 pro lepší zážitek při přehrávání videa napříč širokou škálou prohlížečů a zařízení.
  • Aktuální verze některých prohlížečů třetích stran už starší webové plug-iny nepodporují.

Pokud to je nutné, můžete plug-in obnovit

Pokud nechcete čekat, než tvůrci svou webovou stránku aktualizují, můžete starý webový plug-in QuickTime 7 obnovit. Když ale staré webové plug-iny necháte vypnuté, bude váš Mac bezpečnější. Proto tento krok doporučujeme provádět jen tehdy, pokud je to nezbytné.

  1. Ujistěte se, že používáte Safari nebo jiný prohlížeč, který podporuje staré webové plug-iny.
  2. Na řádku nabídek ve Finderu vyberte Otevřít > Otevřít složku.
  3. Do vyhledávacího pole zadejte /Knihovna/Internet Plug-Ins a klikněte na Otevřít. Otevře se složka Internet Plug-Ins.
  4. Se stisknutou klávesou (⌘) dvakrát klikněte na složku Disabled Plug-Ins, aby se otevřela v novém okně.
  5. Přetáhněte tyto dva soubory ze složky Disabled Plug-Ins do složky Internet Plug-Ins:
    • QuickTime Plugin.plugin
    • nslQTScriptablePlugin.xpt
  6. Pokud budete požádáni o ověření, klikněte na Ověřit totožnost a zadejte uživatelské jméno a heslo správce.
  7. Ukončete webový prohlížeč a znova ho otevřete. Teď už by vám přehrávání médií mělo fungovat. 

Až budete chtít starý webový plug-in QuickTime 7 znova vypnout, přesuňte oba soubory zpátky do složky Disabled Plug-Ins.

Aktualizujte své webové stránky, aby už tento plug-in nevyžadovaly

Pokud jste vývojář, aktualizujte své webové stránky, aby neobsahovaly žádné tagy <embed> odkazující na starý webový plug-in QuickTime 7. Měli byste používat nový HTML5 tag <video>, který umožňuje přehrávání médií ve většině moderních desktopových i mobilních prohlížečů, aniž by potřeboval jakýkoli další software nebo plug-iny. Informace o tom, jak se tento tag používá, jsou široce dostupné.

Pokud používáte starý webový plug-in QuickTime 7 k zobrazování panoramatických obrázků, použijte místo toho prohlížeč panoramat založený na HTML5. Prohlížeče panoramat, které nepotřebují plug-iny, se dají najít na internetu.

Informace o produktech, které nevyrábí Apple, a o nezávislých webech, které Apple nemá pod kontrolou a netestuje je, jsou poskytovány bez doporučení nebo záruky za jejich obsah. Apple v souvislosti s výběrem, výkonem nebo použitím webů nebo produktů třetích stran nepřebírá žádnou odpovědnost. Apple nijak nezaručuje přesnost nebo spolehlivost webů třetích stran. S používáním internetu jsou neodmyslitelně spojena rizika. Další informace získáte od výrobce. Názvy jiných společností a produktů mohou být ochrannými známkami příslušných vlastníků.

Datum zveřejnění: